from uuid import UUID

from pydantic import BaseModel, EmailStr


class CreateUserSchema(BaseModel):
    username: str
    name: str
    surname: str
    email: EmailStr
    password: str


class CreatedUserResponseSchema(BaseModel):
    id: UUID
    username: str
    name: str
    surname: str
    email: str


class UpdateUserSchema(BaseModel):
    name: str
    surname: str
    email: str


class UserAllOptionalSchema(BaseModel):
    username: None | str = None
    password: None | str = None
